curl --request GET \
--url https://api.pandabase.io/v2/core/stores/{storeId}/subscriptions \
--header 'Authorization: Bearer <token>'{
"ok": true,
"data": {
"items": [
{
"id": "<string>",
"status": "TRIALING",
"billingInterval": "WEEKLY",
"amount": 123,
"currency": "<string>",
"currentPeriodStart": "2023-11-07T05:31:56Z",
"currentPeriodEnd": "2023-11-07T05:31:56Z",
"nextChargeAt": "2023-11-07T05:31:56Z",
"trialEnd": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"pausedAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"retryCount": 123,
"product": {
"id": "<string>",
"title": "<string>",
"price": 123
},
"customer": {
"id": "<string>",
"email": "<string>"
},
"paymentMethod": {
"id": "<string>",
"brand": "<string>",
"lastFour": "<string>",
"expMonth": 123,
"expYear": 123
},
"createdAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}
}curl --request GET \
--url https://api.pandabase.io/v2/core/stores/{storeId}/subscriptions \
--header 'Authorization: Bearer <token>'{
"ok": true,
"data": {
"items": [
{
"id": "<string>",
"status": "TRIALING",
"billingInterval": "WEEKLY",
"amount": 123,
"currency": "<string>",
"currentPeriodStart": "2023-11-07T05:31:56Z",
"currentPeriodEnd": "2023-11-07T05:31:56Z",
"nextChargeAt": "2023-11-07T05:31:56Z",
"trialEnd": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"pausedAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"retryCount": 123,
"product": {
"id": "<string>",
"title": "<string>",
"price": 123
},
"customer": {
"id": "<string>",
"email": "<string>"
},
"paymentMethod": {
"id": "<string>",
"brand": "<string>",
"lastFour": "<string>",
"expMonth": 123,
"expYear": 123
},
"createdAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}
}Store API token. Use the sk_ prefixed secret key as the Bearer token.
Store ID (shp_ prefix)
12 - 48x >= 11 <= x <= 100TRIALING, ACTIVE, PAST_DUE, PAUSED, CANCELLED